<form class="form-horizonal" #f="ngForm" method="post" (ngSubmit)="CheckLogin(f.value)">
    <div class="form-group">
        <label class="col-md-2">Username: </label>
        <div class="col-md-10">
            <input type="text" name="username" class="form-control" #name="ngModel" ngModel>
        </div>
    </div>
    <div class="form-group">
        <label class="col-md-2">Password: </label>
        <div class="col-md-10">
            <input type="password" name="password" class="form-control" #name="ngModel" ngModel>
        </div>
    </div>
    <div class="form-group">
        <label class="col-md-2"> </label>
        <div class="col-md-10">
            <button type="submit">Login</button>
        </div>
    </div>
</form>